Name:           gcs-oauth2-boto-plugin
Version:        1.9
Release:        %mkrel 3
Url:            https://github.com/GoogleCloudPlatform/gcs-oauth2-boto-plugin
Summary:        Plugin for boto to support OAuth 2.0 for Google Cloud Storage
License:        ASL 2.0
Group:          Networking/Other
Source:         https://pypi.python.org/packages/source/g/%{name}/%{name}-%{version}.tar.gz
Patch0:		gcs-oauth2-boto-plugin-1.9-deps.patch
BuildArch:      noarch
BuildRequires:  pythonegg(2)(setuptools)

%description
gcs-oauth2-boto-plugin is a Python application whose purpose is to behave
as an auth plugin for the boto auth plugin framework for use with OAuth 2.0
credentials for the Google Cloud Platform.

This plugin is compatible with both user accounts and service accounts,
and its functionality is essentially a wrapper around the oauth2client
package of google-api-python-client with the addition of automatically
caching tokens for the machine in a thread- and process-safe fashion.

%prep
%setup -q
%autopatch -p1

%build
%py2_build
# Python 3 not supported as of version 1.9

%install
%py2_install

%files
%{python2_sitelib}/gcs_oauth2_boto_plugin
%{python2_sitelib}/gcs_oauth2_boto_plugin-%{version}-py%{python2_version}.egg-info


%changelog
* Wed Apr 27 2016 daviddavid <daviddavid> 1.9-3.mga6
+ Revision: 1006935
- use new python macros

* Fri Feb 19 2016 umeabot <umeabot> 1.9-2.mga6
+ Revision: 969810
- Mageia 6 Mass Rebuild

* Sun Sep 13 2015 pterjan <pterjan> 1.9-1.mga6
+ Revision: 878986
- Fix dependencies
- imported package gcs-oauth2-boto-plugin

